/* ================================================================== */

/* Na całą stronę */

* {
    margin: 0;
    font-family: "DM Sans", sans-serif;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

a {
    text-decoration: none;
    color: black;
}

@font-face {
    font-family: "DM Sans";
    src: url("../files/font-DM.ttf") format("truetype");
}

/* ================================================================== */

/* Główne sekcje */

.main {
    width: 100%;
    display: grid;
    justify-content: center;
}

.pasek {
    margin: -5px 15% 0 15%;
    border: 8px solid #84c0fc;
}

/* ================================================================== */

/* Informacje */

.informacje {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    width: 100%;
    justify-content: center;
    text-align: center;
    margin-top: -5px;
    padding: 40px 20px;

}

@media screen and (max-width: 1300px) {
    .informacje {
        grid-template-columns: auto auto;
    }
    .info {
        padding-bottom: 30px;
        margin-bottom: 25px;
    }
    .info:nth-child(even) h3 {
        border: 0!important;
    }
}

.info h3 {
    padding-top: 10px;
    padding-bottom: 30px;
    border-right: 1px solid black;
}


.info:nth-child(n) {
    font-size: larger;
}

/* ================================================================== */

/* Aktualności */

h1 {
    border-left: 7px solid #84c0fc;
    padding-left: 7px;
    display: inline-block;
    width: auto;
    font-size: 200%;
    font-weight: 900;
}

.sakramenty {
    display: flex;
    gap: 35px;
    margin-top: 50px;
    text-align: center;
}

@media screen and (max-width:1400px) {
    .sakramenty {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        padding-left: 5%;
        padding-right: 5%;
    }
}

.bloki {
    display: grid;
    padding: 0 120px 0 120px;
    grid-template-columns: repeat(3, 1fr);
    gap: 85px;
    margin-top: 50px;
    text-align: left;
}

@media screen and (max-width:1300px) {
    .bloki {
        grid-template-columns: repeat(2, 1fr);
        gap: 35px;
    }
    .bloki2 {
        grid-template-columns: repeat(2, 1fr);
        gap: 35px;
    }
}

.podzial {
    text-align: center;
    margin-top: 60px;
}

.wydarzenia {
    background-color: rgba(245, 245, 245, 0.4);
    width: 400px;
    border-radius: 10px;
    box-shadow: 2px 4px 8px rgba(0, 0, 0, 0.2);
    margin: auto;
    border: 1px solid rgb(230, 230, 230);
    height: 100%;
}

.wydarzenia img {
    width: calc(100% + 44px);
    left: -22px;
    height: 200px;
    object-fit: cover;
    position: relative;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.wydarzenia h2, summary {
    margin-top: 10px;
    text-align: left;
}

summary {
    align-self: first baseline;
}

.wydarzenia small {
    position: relative;
    bottom: -8px;
    padding-bottom: 3px;
    font-size: small;
    text-align: left;
}

.button {
    cursor:pointer; 
    background-color: rgba(0,0,0,0); 
    border:0; 
    margin:0; 
    width:100%; 
    height:100%;
    padding: 0 22px;
    padding-bottom: 20px;
    display: grid;
    gap: 5px;
    align-content: start;
}

.opis {
    margin-top: 14px;
    margin-bottom: 6px;
    line-height: 18px;
    font-size: 15px;
    display: block;
    position: relative;
    width: 356px;
    text-align: left;
    color: rgba(0, 0, 0, 0.8);
}

.sekcja-rok {
    grid-column: 1/4;
}

.v2 {
    font-size: 115%;
    line-height: normal;
    width: 100%;
}

/* Główne kontenery lat i miesięcy rozciągają się na pełną szerokość głównego grida */
.rok-wrapper, .miesiac-wrapper {
    grid-column: 1 / -1; 
    width: 100%;
}

/* Marginesy wewnętrzne dla struktury drzewka */
.miesiac-wrapper {
    padding-left: 20px;
    margin-top: 10px;
}

/* Tytuły (summary) */
.rok-tytul {
    font-weight: bold;
    cursor: pointer;
    padding: 10px 0;
    font-size: x-large;
    user-select: none;
}

.miesiac-tytul {
    cursor: pointer;
    padding: 15px 0;
    text-transform: capitalize;
    font-size: large;
    user-select: none;
}

.bloki2 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 75px;
    margin-top: 30px;
    text-align: left;
}

.archiwum {
    gap: 35px;
}

/* ================================================================== */

/* Blok sakramentów */

.blokSak {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #84c0fca4;
    width: 150px;
    height: 260px;
    border-radius: 25px;
    box-shadow: 2px 4px 8px rgba(0, 0, 0, 0.2);
    margin: auto;
    transition: background-color 0.4s ease;
}

.blokSak:hover {
    background-color: rgba(245, 245, 245, 0.3);
}

/* ================================================================== */
/* Panorama */

.panorama {
    position: relative;
    background: url(../images/panorama.jpg);
    width: 100%;
    height: 543.75px;
    background-size: cover;      /* dopasowanie na całą powierzchnię */
    background-position: left; /* wycentrowanie */
    background-repeat: no-repeat;
}

.panorama img {
    width: 100%;
}

.nazwa {
    position: absolute;
    left: 18%;
    bottom: 5%;
    font-size: 3vw;
    font-weight: bold;
    color: white;
    text-shadow: 5px 5px 8px rgba(0, 0, 0, 0.8);
}

/* ================================================================== */

/* Header */

header {
    display: flex;
    height: 120px;
    width: 100%;
    background-color: whitesmoke;
    justify-content: center;
    position: sticky;
    top: 0;
    font-size: large;
    z-index: 4;
}

header a .logoLink {
    margin-right: 60px;
}

.nav {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: 35px;
    justify-items: center;
    line-height: 50px;
    margin: auto 0 auto;
    padding: 20px;
}

.nav li {
    list-style: none;
}

header a {
    height: 100%;
    display: flex;
}

header a li {
    width: 100%;
}

.listaNav li {
    list-style: none;
}

.listaNav {
    position: relative;
}

.listaNav ul {
    display: none;
    position: absolute;
    padding: 0;
    width: 220px;
    background-color: whitesmoke;
    list-style-type: none;
    line-height: 30px;
    opacity: 0;
    border-radius: 5px;
}

.listaNav ul li {
    padding: 10px;
    border-radius: 5px;
}

@keyframes opacity {
    from {
        opacity: 0;
    } to {
        opacity: 1;
    }
}

@keyframes opacityRe {
    from {
        opacity: 1;
    } to {
        opacity: 0;
    }
}

.listaNav:hover > ul {
    animation: opacity 0.5s;
    animation-fill-mode: forwards;
    display: block;
}

.listaNav ul li:hover{
    background-color: rgb(255, 255, 255);
}

.listaNav:hover > ul:hover {
    opacity: 1;
}

/* ================================================================== */

/* Footer */

.mail, .tel {
    margin-right: 10px;
}

footer {
    background-color: rgb(29, 29, 29);
    color: white;
    height: 320px;
    margin-top: 140px;
    display: flex;
    justify-content: center;
}

.stopka {
    background-color: rgb(29, 29, 29);
    color: white;
    display: grid;
    width: 100%;
    justify-items: center;
    text-align: center;
    gap: 20px;
    transition: 0.3s ease;
}

.fb {
    transition: transform 0.3s ease;
}

.fb:hover {
    transform: scale(1.1);
    transition: transform 0.3s ease;
}

.wStopce {
    display: grid;
    grid-template-columns: auto auto auto auto;
    gap: calc(1.25vw - 10px);
    width: 75%;
}

.b1, .b2, .b3, .b4 {
    border-top: solid white 1px;
    padding: 5px;
    width: 17vw;
    font-size: 20px;
    margin-top: 55px;
}

@media screen and (max-width:1300px) {
    .wStopce {
        width: 90%;
        overflow-wrap: anywhere;
    }
}

.wiecej {
    display: flex;
    font-size: 125%;
    font-weight: 900;
    padding: 13px 26px;
    background-color: rgba(220, 220, 220, 0.5);
    border-radius: 5px;
    align-items: center;
    justify-content: center;
    margin: 40px;
    float: right;
    transition: 0.3s ease;
    @media screen and (max-width:1400px) {
        margin-right: 160px;
    }
}

.wiecej:hover {
    background-color: rgba(220, 220, 220, 1);
    transition: 0.3s ease;
}

/* ================================================================== */

.hidden {
    display: none;
    opacity: 0;
}

.visible {
    display: flex;
    opacity: 1;
}

.nothing {
    display: block;
    margin: 0;
    padding: 0;
    border: 0;
    background-color: transparent;
    text-align: left;
    width: 376px;
    left: -22px;
}

.podstrony {
    font-size: 120%;
    margin-top: 40px;
    width: 60vw;
    text-align: left;
    text-shadow: black;
}

.odstep {
    height: 8px;
    width: 100%;
}

.ogloszeniaData {
    color: #006000; 
    font-weight: 500;
    font-size: 125%;
    margin-bottom: 28px;
}

.ogloszenia {
    line-height: 1.5 !important;
}

.ogloszenia li {
    margin-top: 8px !important;
}

.zakonczenie h2 {
    margin-top: 24px;
    font-size: 135%;
}

table{
    font-size: 85%;
    width: 100%;
    border-collapse: collapse;
}

td {
    padding: 6px;
}

.opis a {
    text-decoration: underline;
    font-weight: bold;
}